Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041372
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2019-07-17 06:442019-08-22 14:44
Reportercollazoandy4View Statuspublic 
Assigned ToTriage Finance 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision42f5b8fbba59
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041372: Apply HQL style guide to AdvPaymentMngtDao

DescriptionApply HQL style guide to AdvPaymentMngtDao
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0113490)
collazoandy4 (developer)
2019-07-18 06:40

Test Plan
  Void a non paid invoice
  Go to Payment Proposal window and create a new record
    Clic on Select Expected Payments and select one record
    Clic on Generate Payment and check the process ends without error
(0113531)
hgbot (developer)
2019-07-18 17:20

Repository: erp/devel/pi
Changeset: 42f5b8fbba599240a41d60d47d5cbf363cd2cdfc
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Jul 18 16:31:24 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/42f5b8fbba599240a41d60d47d5cbf363cd2cdfc [^]

Fixes issue 41372: Apply HQL style guide to AdvPaymentMngtDao

Applied the new HQL style in AdvPaymentMngtDao

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/AdvPaymentMngtDao.java
---
(0113534)
dmiguelez (developer)
2019-07-18 17:21

Code Review + Testing OK
(0113547)
hgbot (developer)
2019-07-19 09:45

Repository: erp/devel/pi
Changeset: 98f6173cee75b697a561d8fc1fb6c202fe180a6e
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Jul 19 09:45:00 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/98f6173cee75b697a561d8fc1fb6c202fe180a6e [^]

Related to Issue 41372. Removed unnecessary .toString() calls.
If the variable is already a String it is not necessary to
call to the .toString() method.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/AdvPaymentMngtDao.java
---
(0114162)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test
(0114169)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-17 06:44 collazoandy4 New Issue
2019-07-17 06:44 collazoandy4 Assigned To => Triage Finance
2019-07-17 06:44 collazoandy4 Modules => Core
2019-07-17 06:44 collazoandy4 Triggers an Emergency Pack => No
2019-07-17 06:52 collazoandy4 Relationship added related to 0041287
2019-07-17 06:52 collazoandy4 Status new => scheduled
2019-07-18 06:40 collazoandy4 Note Added: 0113490
2019-07-18 17:20 hgbot Checkin
2019-07-18 17:20 hgbot Note Added: 0113531
2019-07-18 17:20 hgbot Status scheduled => resolved
2019-07-18 17:20 hgbot Resolution open => fixed
2019-07-18 17:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/42f5b8fbba599240a41d60d47d5cbf363cd2cdfc [^]
2019-07-18 17:21 dmiguelez Review Assigned To => dmiguelez
2019-07-18 17:21 dmiguelez Note Added: 0113534
2019-07-18 17:21 dmiguelez Status resolved => closed
2019-07-18 17:21 dmiguelez Fixed in Version => 3.0PR19Q4
2019-07-19 09:45 hgbot Checkin
2019-07-19 09:45 hgbot Note Added: 0113547
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114162
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114169


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker